Get market oracle state
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/markets/{marketId}/oracle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/markets/{marketId}/oracle \
--header 'X-API-Key: <api-key>'{
"checkpoint": "<string>",
"data": {
"asset": "<string>",
"marketId": "<string>",
"oracle": {
"asset": "<string>",
"depthUpdatedAt": "<string>",
"depthWad": "<string>",
"fundingIntervalStart": "<string>",
"impactPriceWad": "<string>",
"indexPriceWad": "<string>",
"outcomeYes": true,
"resolutionUpdatedAt": "<string>",
"resolved": true,
"updatedAt": "<string>",
"updatedBlock": "<string>",
"updatedTransactionHash": "<string>"
},
"oracleKey": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Get market oracle state
GET
/
v1
/
markets
/
{marketId}
/
oracle
Get market oracle state
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.testnet.tayho.io/v1/markets/{marketId}/oracle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.testnet.tayho.io/v1/markets/{marketId}/oracle \
--header 'X-API-Key: <api-key>'{
"checkpoint": "<string>",
"data": {
"asset": "<string>",
"marketId": "<string>",
"oracle": {
"asset": "<string>",
"depthUpdatedAt": "<string>",
"depthWad": "<string>",
"fundingIntervalStart": "<string>",
"impactPriceWad": "<string>",
"indexPriceWad": "<string>",
"outcomeYes": true,
"resolutionUpdatedAt": "<string>",
"resolved": true,
"updatedAt": "<string>",
"updatedBlock": "<string>",
"updatedTransactionHash": "<string>"
},
"oracleKey": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>"
}Authorizations
Tayho project API key with the scope declared by the operation.
Path Parameters
Maximum string length:
20Last modified on July 23, 2026
⌘I